This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1469809 - "clufter cib2pcscmd" lacks support for reinstating per-operation instance attributes
"clufter cib2pcscmd" lacks support for reinstating per-operation instance att...
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: clufter (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jan Pokorný
cluster-qe@redhat.com
:
Depends On: 1469801
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 17:30 EDT by Jan Pokorný
Modified: 2017-08-03 11:39 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1469801
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pokorný 2017-07-11 17:30:12 EDT
Once pcs is civil to per-operation specifications of parameters to the
respective resource, clufter needs to enable that as well, for more
complete raw CIB -> pcs commands coverage.


+++ This bug was initially created as a clone of Bug #1469801 +++

[...]

So what do I propose?

- make "monitor" operation accept any parameters supported by the agent
  (modulo clashes with the operation's very own options), treat them
  the same as with OCF_CHECK_LEVEL (put into <instance_attributes> for
  the <op> in question)

- ditto for other operations, but require --force, because this asks for
  problems (it's up to user to keep start-stop operations logically
  in sync, otherwise the agent may go crazy)

- always check if the resource agent parameter specified down at the
  operation level is not accidentally overridding:
  - the default (i.e., the default for that is specified in meta-data)
  - the same parameter set properly at the resource level
  and for each, emit respective message and refuse, unless with --force
  (note that "statusurl" for ocf:heartbeat:apache has no default)

- when allowing the resource agent parameters being passed on, ensure
  the same validation takes places as when these are specified directly
  at the resource level

--- Additional comment from Jan Pokorný on 2017-07-11 23:22:06 CEST ---

Note that this doesn't touch merely "pcs resource create", but also
"pcs resource op" family of commands.

Note You need to log in before you can comment on or make changes to this bug.